<script lang="ts">
    import type { AdminerSettings } from '../../app/domain/types/adapter.type';
    import Proxy from './proxy.svelte';

    export let settings: AdminerSettings;

</script>

<div class="field is-horizontal">
    <div class="field-label is-normal">
        <label class="label">URL</label>
    </div>
    <div class="field-body">
        <div class="field">
            <div class="control">
                <input class="input is-danger" type="text" placeholder="e.g. https://adminer.example.com/db2.php" bind:value={settings.url}>
            </div>
            <p class="help is-danger">
                This field is required
            </p>
        </div>
    </div>
</div>

<div class="field is-horizontal">
    <div class="field-label is-normal">
        <label class="label">Server</label>
    </div>
    <div class="field-body">
        <div class="field">
            <div class="control">
                <input class="input is-danger" type="text" placeholder="e.g. mysql-hostname" bind:value={settings.server}>
            </div>
            <p class="help is-danger">
                This field is required
            </p>
        </div>
    </div>
</div>

<div class="field is-horizontal">
    <div class="field-label is-normal">
        <label class="label">Login</label>
    </div>
    <div class="field-body">
        <div class="field">
            <div class="control">
                <input class="input is-danger" type="text" placeholder="e.g. dbmyadmin" bind:value={settings.login}>
            </div>
            <p class="help is-danger">
                This field is required
            </p>
        </div>
    </div>
</div>

<div class="field is-horizontal">
    <div class="field-label is-normal">
        <label class="label">Password</label>
    </div>
    <div class="field-body">
        <div class="field">
            <div class="control">
                <input class="input is-danger" type="password" placeholder="e.g. aZs8%2==xc" bind:value={settings.password}>
            </div>
            <p class="help is-danger">
                This field is required
            </p>
        </div>
    </div>
</div>

<Proxy settings={settings}></Proxy>
